Get a sub account Run in API Explorer
Ask AI
GET
/api/v1/plans/{plan_uuid}/sub-accounts/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"uuid": "1f6896db-d9b9-4104-8680-a78138ce0303",
"created_at": "2026-10-20T17:30:09+01:00",
"updated_at": "2026-10-20T17:30:09+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "32ce60a5-943f-421a-b4ea-63a0e136b2f6",
"created_at": "2026-10-20T17:30:09+01:00",
"updated_at": "2026-10-20T17:30:09+01:00",
"valued_at": "2026-10-20T17:30:09+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "e9a0e3bf-a3b6-4c6f-8811-aeea8ad5f621",
"created_at": "2026-10-20T17:30:16+01:00",
"updated_at": "2026-10-20T17:30:16+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "22d51635-8bd1-4999-9026-d99c886e6f92",
"created_at": "2026-10-20T17:30:09+01:00",
"updated_at": "2026-10-20T17:30:09+01:00",
"is_proposed": true,
"proposed_at": "2026-10-20T00:00:00+01:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
}